/* The termination tests are performed up to an epsilon
constant, which is fixed heuristically by the following routine
*/

void Epsilon(double *a,int narcs,double *epsilon)
{ 
  int i;
  double MAX,MIN;
  MAX=a[0];
  MIN=a[0];
  for (i=1;i<narcs; i++)
    {
      if (a[i]> MAX)
	  MAX=a[i];
      if (a[i]<MIN)
	  MIN=a[i];
    }
  /* this value is somehow arbitrary. */
   *epsilon=(MAX-MIN+1)*0.0000000001;
   if (verbose>1)
       printf("MAX of coefs =%f MIN of coefs=%f MAX-MIN= %f epsilon=%f\n",MAX,MIN,MAX-MIN, *epsilon);
}

